package dev.pfaff.altargui.text;

public interface Font {
	/**
	 * The scale factor to be applied to the font size when emitting vertex data. The {@link GlyphRef#minX()} and
	 * {@link GlyphRef#maxX()} must have this premultiplied.
	 */
	float scaleFactor();

	GlyphRef getGlyph(int codepoint);
}
